View Issue Details

IDProjectCategoryView StatusLast Update
15487Bug reports[All Projects] Otherpublic2019-12-02 17:12
ReporterKRav Assigned Tocdorin  
PriorityimmediateSeverityblock 
Status resolvedResolutionfixed 
Product Version4.0.0-RC6 
Target VersionFixed in Version 
Summary15487: Try to edit multiple text answer questions - causes JS error and delete subquestions
Description

This is a killer!!!

If a survey is active, you can edit the text of subquestions, but If you do this, all subquestions, except one are deleted.

Screen-Cast
https://www.dropbox.com/s/i8sud0rll8izzu6/Ohne%20Titel.mov?dl=0

TagsNo tags attached.
Complete LimeSurvey version number (& build) 4.0.0-RC6
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Version11
Server OS (if known)
Webserver software & version (if known)
PHP Version7.0

Activities

KRav

KRav

2019-10-30 10:38

partner  

limesurvey_survey_669692.lss (20,326 bytes)
cdorin

cdorin

2019-11-28 16:22

manager   ~54875

Was able to reproduce it. It will be part of the next round of bugs fixing

ollehar

ollehar

2019-12-02 17:05

administrator   ~54905

Uh, the added survey only contains one subquestion? Would be easier to reproduce if 1) lsa archive with active survey; and 2) more than one subquestion.

ollehar

ollehar

2019-12-02 17:08

administrator   ~54906

Is subquestion id supposed to be "null01"?



Selection_937.png (11,799 bytes)
Selection_937.png (11,799 bytes)
ollehar

ollehar

2019-12-02 17:12

administrator   ~54907

Resolved, but "Quick add" need to be disabled when survey is active. Will write a new bug.

Issue History

Date Modified Username Field Change
2019-10-30 10:35 KRav New Issue
2019-10-30 10:36 KRav Description Updated View Revisions
2019-10-30 10:38 KRav File Added: limesurvey_survey_669692.lss
2019-10-30 10:39 KRav Priority none => immediate
2019-11-26 17:55 cdorin Assigned To => cdorin
2019-11-26 17:55 cdorin Status new => assigned
2019-11-28 16:22 cdorin Note Added: 54875
2019-12-02 17:05 ollehar Note Added: 54905
2019-12-02 17:08 ollehar File Added: Selection_937.png
2019-12-02 17:08 ollehar Note Added: 54906
2019-12-02 17:12 ollehar Status assigned => resolved
2019-12-02 17:12 ollehar Resolution open => fixed
2019-12-02 17:12 ollehar Note Added: 54907